/*
     $Revision$
     $Id$
*/

function disc_reload (json)
{
    FcltMgr.reload({ appendurl: "scf_highlight=" + json.disc_key});
}

function edit_rechten(row)
{
    if (row instanceof Array)
        var discKeyString = getKeyString(row);
    else
        var disc_key = row.getAttribute("ROWKEY");

    if (window.functie_key > 0 && window.groep_key)
    {
        $("#ins_tab_discipline tbody tr").removeClass("updated editing");
        $(row).addClass('editing');
        var url = "fac_edit_groeprechten.asp?fac_groep={0}&fac_functie={1}&ins_discipline={2}".format(window.groep_key, window.functie_key, discKeyString||disc_key);
        FcltMgr.openModalDetail(url, L("fac_groeprechten"), { callback: disc_reload });
    }
    else if (window.functie_key > 0)
    {
        var url = "appl/mgt/ins_tab_discipline.asp?mode=list&fac_groep=" + window.groep_key + "&fac_functie=" + window.functie_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
    else // eerst nog een functie erbij kiezen
    {
        var url = "appl/mgt/fac_functie.asp?ins_discipline=" + disc_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
}
